import {LitElement, html, css} from 'lit-element'

export class AppHeader extends LitElement {
	render() {
		//language=HTML
		return html`<a router-link href="/" aria-label="Homepage">
				<img src="/images/logo_100px.webp" alt="" width="100px" height="100px" />
			</a>
			<div id="floatright">
				<a router-link href="/lalalive">LaLaLive</a>
				<a router-link href="/scoreboard">Scoreboard</a>
				<a router-link href="/myscore">My Score</a>
				<a router-link href="/contact">Contact</a>
				<a id="login" router-link href="/login">Login</a>
			</div>`
	}
	static get styles() {
		//language=CSS
		return css`
			#floatright {
				float: right;
				padding: 20px;
				padding-right: 10px;
			}
			#floatright > * {
				padding: 10px;
				margin: 10px;
			}
			a {
				color: inherit;
				text-decoration: inherit;
			}
			#login {
				border-radius: 20%;
				border: 1px solid black;
			}
		`
	}
}

customElements.define('app-header', AppHeader)
